module Help where

help :: String
help = "SYNOPSIS\n\
\\n\
\  explore image legend tolerance scan-area step-size [translation]\n\
\\n\
\\n\
\DESCRIPTION\n\
\\n\
\\n\
\   image         the image file to scan, it should be a 32-bit PNG with an\n\
\                 alpha channel\n\
\\n\
\\n\
\\n\
\   legend        the legend file that contains a list of names and base line\n\
\                 colors in this format\n\
\\n\
\                  [(\"Frame\", RGBA 255 0 0 255),(\"Line\",  RGBA 0 0 255 255)]\n\
\\n\
\\n\
\\n\
\   tolerance     how much color components can deviate from base colors\n\
\               \n\
\                  S            strict: allow no deviation        (= TC 0 0 0 0)\n\
\\n\
\                  TA m         maximum delta for all components  (= TC m m m m)\n\
\\n\
\                  TC r g b a   individiual maximum delta values\n\
\                               for corresponding components\n\
\\n\
\\n\
\\n\
\   scan-area     which part of the image is to be scanned\n\
\\n\
\                                            (w = image width, h = image height)\n\
\\n\
\                  F            all image area                (= B 0 0 w h)\n\
\\n\
\                  O l t        offset from left and top      (= B l t w h)\n\
\\n\
\                  M l t r b    margins from left, top,       (= B l t w-r h-b)\n\
\                               right and bottom\n\
\\n\
\                  B l t r b    a plot box; with left, top, right and bottom\n\
\                               positions in pixels\n\
\\n\
\\n\
\\n\
\   step-size     horizontal step-size, this value is read as a floating point\n\
\                 number\n\
\\n\
\                                                             (w = image width)\n\
\\n\
\                   <s::DOUBLE> double-precision constant step size s\n\
\\n\
\                  /<n::DOUBLE> double-precision step-size gained by dividing\n\
\                               the width of the image by n\n\
\\n\
\ \n\
\  \n\
\   [translation]  2d translation to be applied to the output pixels\n\
\\n\
\                  Identity     output pixels exactly as they are located\n\
\                               in the input image; old default with full\n\
\                               scan area\n\
\\n\
\                  Box Bottom   output pixel positions relevant to the left\n\
\                               and bottom lines of the plot box; new default\n\
\\n\
\                  Box Top      output pixel positions relevant to the left\n\
\                               and top lines of the plot box\n\
\\n\
\\n\
\HISTORY\n\
\\n\
\  0.0.7.2\n\
\  - Fixed a pattern-matching bug with the new translation value: default\n\
\\n\
\  0.0.7\n\
\  - Support for invocation files\n\
\  - Support for calculating the step size by dividing the scan area\n\
\\n\
\  0.0.6.2\n\
\  - Fixed help output\n\
\\n\
\  0.0.6\n\
\  - Added basic 2D translation support\n\
\  - Changed default 2D translation from Identity to \"Box Bottom\"\n\
\    To get old behaviour from previous versions: use Identity\n\
\\n\
\  0.0.5\n\
\  - First version created in collaboration with An Le Thi Thanh\n\
\\n\
\\n\
\KNOWN ISSUES\n\
\\n\
\  - It is only a very early hack ^__^\"!!\n\
\  - Line occlusion causes matches to fail.\n\
\  - Supports only 32-bit PNGs (with an alpha/transparency channel).\n\
\  - No automatic recognition whatsoever of figures/plots given\n\
\    a full page. Lots of happy moments with Gimp and Inkscape!!\n\
\\n\
\\n\
\EXAMPLES\n\
\\n\
\  - The example plots provided with this package are from:\n\
\\n\
\      Incorporating Environmental factors in\n\
\      Modelling Malaria Transmission in under five\n\
\      children in Rural Burkina Faso\n\
\\n\
\      Inaugural Dissertation to attain the degree of\n\
\      Doctor Scientiarum humanarum (Dr. Sc. Hum.)\n\
\\n\
\      At the Medical Faculty of Ruprecht-Karls-University\n\
\      Heidelberg\n\
\\n\
\      submitted by Yazoume Ye\n\
\\n\
\      from Sayoro, Burkina Faso\n\
\      September 2005\n\
\\n\
\\n\
\  - To create the example outputs:\n\
\\n\
\      explore 39-cisse-x.png 39-legend \"TC 100 150 150 150\" F 20.83 Identity\n\
\      explore 39-goni-x.png  39-legend \"TC 100 150 150 150\" F 20.83 Identity\n\
\      explore 39-nouna-x.png 39-legend \"TC 100 150 150 150\" F 20.83 Identity\n\
\\n\
\\n\
\CONTACT\n\
\\n\
\  Cetin Sert, <cetin.sert@gmail.com>"
